﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IMES_Middleware_Platform.Api.Domain.Authorization.Dto
{
    /// <summary>
    /// 查询条件
    /// </summary>
    public class FueilingSdkAuthPageDto
    {
        public int Guid { get; set; }

        /// <summary>
        /// 油站名称
        /// </summary>
        public string OilStation { get; set; }

        /// <summary>
        /// 项目名称
        /// </summary>
        public string Project { get; set; }

        /// <summary>
        /// 设备
        /// </summary>
        public string SN { get; set; }

        /// <summary>
        /// 授权码
        /// </summary>
        public string Key { get; set; }

        /// <summary>
        /// 授权开始时间
        /// </summary>
        public DateTime? BeginTime { get; set; }

        /// <summary>
        /// 授权结束时间
        /// </summary>
        public DateTime? EndTime { get; set; }

        public FueilingSdkAuth ToEntity() {
            return new FueilingSdkAuth() {
               State=1,
               SN= SN,
               OilStation= OilStation,
               CreatedTime=DateTime.Now,
               ProjectName= Project,
               Key= Key,
               ExpiedTime= DateTime.Now.AddYears(10),
               Id= Guid
            };
        }
    }
}
