﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Entities;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser
{
    /// <summary>
    /// 油枪
    /// </summary>
    [Table(Name = "Nozzlecontrol")]
    public class NozzlecontrolEntity : EntityAdd
    {
        /// <summary>
        /// 油机ID
        /// </summary>
        public int FuelId { get; set; }
        /// <summary>
        /// ECQS编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 油品
        /// </summary>
        public string FuelName { get; set; }
        /// <summary>
        /// 枪号
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 主板数
        /// </summary>
        public int? MainBoard { get; set; }
        /// <summary>
        /// 枪数
        /// </summary>
        public int? NozzleNo { get; set; }
        /// <summary>
        /// 在线状态
        /// </summary>
        public string OnlineStatus { get; set; }
        /// <summary>
        /// 自锁功能
        /// </summary>
        public bool Alarming { get; set; }

    }
}
