﻿using IMES_Middleware_Platform.Api.Domain.Authorization.Dto;
using IMES_Middleware_Platform.Api.Domain.Authorization.Input;
using IMES_Middleware_Platform.Api.Domain.Authorization.Output;
using Microsoft.Extensions.FileProviders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Dto;

namespace IMES_Middleware_Platform.Api.Domain.Authorization
{
    public  interface IFueilingSdkAuthService
    {
        /// <summary>
        /// 授权列表查询
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<PageOutput<FueilingSdkAuthOutPut>> GetPageAsync(PageInput<FueilingSdkAuthPageDto> input);

        /// <summary>
        /// 
        /// </summary>
        /// <param name="fileInfo"></param>
        /// <returns></returns>
        Task<bool> Import(IFileInfo fileInfo);

        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="authPageDto"></param>
        /// <returns></returns>
        Task<bool> Update(FueilingSdkAuthInput authPageDto);

        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="authPageDto"></param>
        /// <returns></returns>
        Task<bool> Add(FueilingSdkAuthInput authPageDto);
        Task<bool> ValidateAuthorization(string permission);
    }
}
