﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;
using ZhonTai.Admin.Core.Entities;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser
{
    /// <summary>
    /// 报警历史
    /// </summary>
    [Table(Name = "AlarmHistory")]
    public class AlarmHistoryEntity : EntityAdd
    {
        /// <summary>
        /// 油机ID
        /// </summary>
        public int FuelId { get; set; }
        
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 加油站
        /// </summary>
        public string GasStation { get; set; }
        /// <summary>
        /// 油机号
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 序列号
        /// </summary>
        public string SerialNumber { get; set; }
        /// <summary>
        /// 报警来源
        /// </summary>
        public string AlarmSource { get; set; }
        /// <summary>
        /// 报警类型
        /// </summary>
        public string AlarmType { get; set; }
        /// <summary>
        /// 报警描述
        /// </summary>
        public string AlarmDescription { get; set; }
        public int AlarmHistoryID { get; set; }
    }
}
