﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser.Dto
{

    public class Rootobject
    {
        public object lastInspectTime { get; set; }
        public string measureRang { get; set; }
        public bool alarming { get; set; }
        public int? deviceAlarmLevel { get; set; }
        public string onlineStatus { get; set; }
        public long? productTime { get; set; }
        public string type { get; set; }
        public string accuracyLevel { get; set; }
        public string uuid { get; set; }
        public string deviceStatus { get; set; }
        public object lockTime { get; set; }
        public object[] changeInfo { get; set; }
        public object contact { get; set; }
        public Supplier supplier { get; set; }
        public Station station { get; set; }
        public bool _lock { get; set; }
        public int? modifiedBy { get; set; }
        public long? startTime { get; set; }
        public int? alarmLevel { get; set; }
        public int? id { get; set; }
        public Nozzlecontrol[] nozzleControls { get; set; }
        public string modelSpec { get; set; }
        public string serialNum { get; set; }
        public bool test { get; set; }
        public object[] sealNo { get; set; }
        public object[] alarms { get; set; }
        public long? alarmTime { get; set; }
        public int? photoId { get; set; }
        public long? fixTime { get; set; }
        public object[] photoIds { get; set; }
        public long? soldTime { get; set; }
        public string[] alarmDetail { get; set; }
        public object verificationCode { get; set; }
        public Blackboxesonlinetime blackBoxesOnlineTime { get; set; }
        public long? createdDate { get; set; }
        public object phone { get; set; }
        public int? createdBy { get; set; }
        public bool repairing { get; set; }
        public string name { get; set; }
        public long? modifiedDate { get; set; }
        public string setup { get; set; }
        public int? noticesTotal { get; set; }
        public int? nozzleControlsTotal { get; set; }
    }


 
    public class Blackboxesonlinetime
    {
        public int? onlineTime { get; set; }
        public int? offlineTime { get; set; }
        public string onlineDesc { get; set; }
        public string offlineDesc { get; set; }
    }

    public class Nozzlecontrol
    {
        public Taxcontrol taxControl { get; set; }
        public Code code { get; set; }
        public int? mainBoard { get; set; }
        public bool hidden { get; set; }
        public int? deviceAlarmLevel { get; set; }
        public Fuel fuel { get; set; }
        public string onlineStatus { get; set; }
        public object[] taxAlarms { get; set; }
        public string iotType { get; set; }
        public long? productTime { get; set; }
        public string deviceStatus { get; set; }
        public int? modifiedBy { get; set; }
        public long? startTime { get; set; }
        public Encodercontrol[] encoderControls { get; set; }
        public int? alarmLevel { get; set; }
        public int? id { get; set; }
        public string value { get; set; }
        public Displaycontrol[] displayControls { get; set; }
        public bool dirty { get; set; }
        public string recover { get; set; }
        public object[] alarms { get; set; }
        public int? photoId { get; set; }
        public long? fixTime { get; set; }
        public object vaporRecoveryControl { get; set; }
        public long? soldTime { get; set; }
        public object[] alarmDetail { get; set; }
        public long? createdDate { get; set; }
        public Blackbox blackBox { get; set; }
        public int? nozzleNo { get; set; }
        public int? createdBy { get; set; }
        public string name { get; set; }
        public long? modifiedDate { get; set; }
        public string cheatStatus { get; set; }
        public object[] valveControls { get; set; }
    }

    public class Taxcontrol
    {
        public int? mainBoard { get; set; }
        public int? resetTimes { get; set; }
        public int? deviceAlarmLevel { get; set; }
        public string signature { get; set; }
        public string onlineStatus { get; set; }
        public long? productTime { get; set; }
        public string uuid { get; set; }
        public bool signVerify { get; set; }
        public string deviceStatus { get; set; }
        public Calculatormainboard calculatorMainboard { get; set; }
        public Supplier3 supplier { get; set; }
        public int? modifiedBy { get; set; }
        public long? startTime { get; set; }
        public int? alarmLevel { get; set; }
        public string sn { get; set; }
        public int? id { get; set; }
        public int? dispenserSupplierId { get; set; }
        public bool dirty { get; set; }
        public string mainBoardUuid { get; set; }
        public object[] alarms { get; set; }
        public string nozzleControlName { get; set; }
        public int? photoId { get; set; }
        public long? fixTime { get; set; }
        public long? soldTime { get; set; }
        public object[] alarmDetail { get; set; }
        public long? createdDate { get; set; }
        public Taxsoftware taxSoftware { get; set; }
        public int? createdBy { get; set; }
        public long? modifiedDate { get; set; }
        public object hdv { get; set; }
    }

    public class Calculatormainboard
    {
        public int? mainBoard { get; set; }
        public int? deviceAlarmLevel { get; set; }
        public string signature { get; set; }
        public Calculatorsoftware calculatorSoftware { get; set; }
        public string onlineStatus { get; set; }
        public string iotType { get; set; }
        public long? productTime { get; set; }
        public string uuid { get; set; }
        public bool signVerify { get; set; }
        public string deviceStatus { get; set; }
        public string swv { get; set; }
        public Supplier2 supplier { get; set; }
        public int? modifiedBy { get; set; }
        public long? startTime { get; set; }
        public int? alarmLevel { get; set; }
        public int? id { get; set; }
        public bool dirty { get; set; }
        public object[] alarms { get; set; }
        public string nozzleControlName { get; set; }
        public int? photoId { get; set; }
        public long? fixTime { get; set; }
        public long? soldTime { get; set; }
        public object[] alarmDetail { get; set; }
        public long? createdDate { get; set; }
        public int? createdBy { get; set; }
        public long? modifiedDate { get; set; }
        public object hdv { get; set; }
    }

    public class Calculatorsoftware
    {
        public int? commitmentLetterId { get; set; }
        public int? secretVersion { get; set; }
        public string description { get; set; }
        public string deviceStatus { get; set; }
        public long? createdDate { get; set; }
        public string swv { get; set; }
        public int? softwareId { get; set; }
        public int? createdBy { get; set; }
        public Supplier1 supplier { get; set; }
        public long? modifiedDate { get; set; }
        public int? modifiedBy { get; set; }
        public int? protocolVersion { get; set; }
        public int? id { get; set; }
        public string hash { get; set; }
        public string pubKey { get; set; }
    }

    public class Supplier1
    {
        public string groupType { get; set; }
        public object address { get; set; }
        public string code { get; set; }
        public int? standardId { get; set; }
        public string description { get; set; }
        public int? photoId { get; set; }
        public string registerNo { get; set; }
        public long? createdDate { get; set; }
        public string[] deviceTypes { get; set; }
        public int? createdBy { get; set; }
        public object phone { get; set; }
        public object contact { get; set; }
        public string name { get; set; }
        public long? modifiedDate { get; set; }
        public string alias { get; set; }
        public int? modifiedBy { get; set; }
        public int? id { get; set; }
    }

    public class Supplier2
    {
        public string groupType { get; set; }
        public object address { get; set; }
        public string code { get; set; }
        public int? standardId { get; set; }
        public string description { get; set; }
        public int? photoId { get; set; }
        public string registerNo { get; set; }
        public long? createdDate { get; set; }
        public string[] deviceTypes { get; set; }
        public int? createdBy { get; set; }
        public object phone { get; set; }
        public object contact { get; set; }
        public string name { get; set; }
        public long? modifiedDate { get; set; }
        public string alias { get; set; }
        public int? modifiedBy { get; set; }
        public int? id { get; set; }
    }

    public class Supplier3
    {
        public string groupType { get; set; }
        public object address { get; set; }
        public string code { get; set; }
        public int? standardId { get; set; }
        public string description { get; set; }
        public int? photoId { get; set; }
        public string registerNo { get; set; }
        public long? createdDate { get; set; }
        public string[] deviceTypes { get; set; }
        public int? createdBy { get; set; }
        public object phone { get; set; }
        public object contact { get; set; }
        public string name { get; set; }
        public long? modifiedDate { get; set; }
        public string alias { get; set; }
        public int? modifiedBy { get; set; }
        public int? id { get; set; }
    }

    public class Taxsoftware
    {
        public int? commitmentLetterId { get; set; }
        public int? secretVersion { get; set; }
        public string description { get; set; }
        public string deviceStatus { get; set; }
        public long? createdDate { get; set; }
        public string swv { get; set; }
        public int? softwareId { get; set; }
        public int? createdBy { get; set; }
        public Supplier4 supplier { get; set; }
        public long? modifiedDate { get; set; }
        public int? modifiedBy { get; set; }
        public int? protocolVersion { get; set; }
        public int? id { get; set; }
        public string hash { get; set; }
        public string pubKey { get; set; }
    }

    public class Supplier4
    {
        public string groupType { get; set; }
        public object address { get; set; }
        public string code { get; set; }
        public int? standardId { get; set; }
        public string description { get; set; }
        public int? photoId { get; set; }
        public string registerNo { get; set; }
        public long? createdDate { get; set; }
        public string[] deviceTypes { get; set; }
        public int? createdBy { get; set; }
        public object phone { get; set; }
        public object contact { get; set; }
        public string name { get; set; }
        public long? modifiedDate { get; set; }
        public string alias { get; set; }
        public int? modifiedBy { get; set; }
        public int? id { get; set; }
    }

    public class Code
    {
        public string code { get; set; }
        public long? createdDate { get; set; }
        public string supplierRegisterNo { get; set; }
        public int? createdBy { get; set; }
        public long? modifiedDate { get; set; }
        public int? modifiedBy { get; set; }
        public int? id { get; set; }
        public string status { get; set; }
    }

    public class Fuel
    {
        public string fuelName { get; set; }
        public long? createdDate { get; set; }
        public int? createdBy { get; set; }
        public long? modifiedDate { get; set; }
        public int? modifiedBy { get; set; }
        public int? id { get; set; }
        public string fuelId { get; set; }
    }

    public class Blackbox
    {
        public string cpuUuid { get; set; }
        public bool alarming { get; set; }
        public int? resetTimes { get; set; }
        public long? onlineStatusDate { get; set; }
        public int? deviceAlarmLevel { get; set; }
        public string onlineStatus { get; set; }
        public string iotType { get; set; }
        public long? productTime { get; set; }
        public string imsi { get; set; }
        public string uuid { get; set; }
        public string deviceStatus { get; set; }
        public string smUuid { get; set; }
        public string iccid { get; set; }
        public string swv { get; set; }
        public string qrCode { get; set; }
        public object supplier { get; set; }
        public int? modifiedBy { get; set; }
        public long? startTime { get; set; }
        public int? alarmLevel { get; set; }
        public int? id { get; set; }
        public bool filtering { get; set; }
        public int? dispenserSupplierId { get; set; }
        public string taxType { get; set; }
        public long? alarmTime { get; set; }
        public object[] alarms { get; set; }
        public string nozzleControlName { get; set; }
        public int? photoId { get; set; }
        public long? fixTime { get; set; }
        public long? soldTime { get; set; }
        public string[] alarmDetail { get; set; }
        public object[] snapshot2 { get; set; }
        public long? createdDate { get; set; }
        public int? createdBy { get; set; }
        public Xattrs xattrs { get; set; }
        public long? modifiedDate { get; set; }
        public string imei { get; set; }
        public int? offlineAlarmLevel { get; set; }
        public string hdv { get; set; }
        public long? registerUpdateTime { get; set; }
    }

    public class Xattrs
    {
        public Uart5cancontrols uart5CanControls { get; set; }
        public int? strength { get; set; }
        public string buildTime { get; set; }
        public int? onchipFlash { get; set; }
        public Safechipcontrols safeChipControls { get; set; }
        public Uart6cancontrols uart6CanControls { get; set; }
        public string netDevice { get; set; }
        public Gpsmodulecontrols gpsModuleControls { get; set; }
    }

    public class Uart5cancontrols
    {
        public int? cover { get; set; }
        public int? canBaud { get; set; }
        public string swv { get; set; }
        public string buildTime { get; set; }
        public string hdid { get; set; }
        public string hdv { get; set; }
    }

    public class Safechipcontrols
    {
        public int? cover { get; set; }
        public string swv { get; set; }
        public string buildTime { get; set; }
        public string hdid { get; set; }
        public int? supplier_type { get; set; }
        public string hdv { get; set; }
    }

    public class Uart6cancontrols
    {
        public int? cover { get; set; }
        public int? canBaud { get; set; }
        public string swv { get; set; }
        public string buildTime { get; set; }
        public string hdid { get; set; }
        public string hdv { get; set; }
    }

    public class Gpsmodulecontrols
    {
        public float lon { get; set; }
        public float lat { get; set; }
    }

    public class Encodercontrol
    {
        public int? deviceAlarmLevel { get; set; }
        public string signature { get; set; }
        public string onlineStatus { get; set; }
        public long? productTime { get; set; }
        public bool signVerify { get; set; }
        public string uuid { get; set; }
        public string deviceStatus { get; set; }
        public Supplier5 supplier { get; set; }
        public int? modifiedBy { get; set; }
        public long? startTime { get; set; }
        public int? alarmLevel { get; set; }
        public string sn { get; set; }
        public int? id { get; set; }
        public int? dispenserSupplierId { get; set; }
        public bool dirty { get; set; }
        public Meter meter { get; set; }
        public object[] alarms { get; set; }
        public string nozzleControlName { get; set; }
        public int? photoId { get; set; }
        public long? fixTime { get; set; }
        public long? soldTime { get; set; }
        public object[] alarmDetail { get; set; }
        public long? createdDate { get; set; }
        public Encodersoftware encoderSoftware { get; set; }
        public int? createdBy { get; set; }
        public long? modifiedDate { get; set; }
        public object hdv { get; set; }
    }

    public class Supplier5
    {
        public string groupType { get; set; }
        public object address { get; set; }
        public string code { get; set; }
        public int? standardId { get; set; }
        public string description { get; set; }
        public int? photoId { get; set; }
        public string registerNo { get; set; }
        public long? createdDate { get; set; }
        public string[] deviceTypes { get; set; }
        public int? createdBy { get; set; }
        public object phone { get; set; }
        public object contact { get; set; }
        public string name { get; set; }
        public long? modifiedDate { get; set; }
        public string alias { get; set; }
        public int? modifiedBy { get; set; }
        public int? id { get; set; }
    }

    public class Meter
    {
        public int? deviceAlarmLevel { get; set; }
        public string onlineStatus { get; set; }
        public object[] alarms { get; set; }
        public string nozzleControlName { get; set; }
        public int? photoId { get; set; }
        public long? fixTime { get; set; }
        public object productTime { get; set; }
        public string uuid { get; set; }
        public long? soldTime { get; set; }
        public string deviceStatus { get; set; }
        public object[] alarmDetail { get; set; }
        public long? createdDate { get; set; }
        public int? createdBy { get; set; }
        public Supplier6 supplier { get; set; }
        public long? modifiedDate { get; set; }
        public string setup { get; set; }
        public int? modifiedBy { get; set; }
        public int? alarmLevel { get; set; }
        public long? startTime { get; set; }
        public int? id { get; set; }
    }

    public class Supplier6
    {
        public string groupType { get; set; }
        public object address { get; set; }
        public string code { get; set; }
        public int? standardId { get; set; }
        public string description { get; set; }
        public int? photoId { get; set; }
        public string registerNo { get; set; }
        public long? createdDate { get; set; }
        public string[] deviceTypes { get; set; }
        public int? createdBy { get; set; }
        public object phone { get; set; }
        public object contact { get; set; }
        public string name { get; set; }
        public long? modifiedDate { get; set; }
        public string alias { get; set; }
        public int? modifiedBy { get; set; }
        public int? id { get; set; }
    }

    public class Encodersoftware
    {
        public int? commitmentLetterId { get; set; }
        public int? secretVersion { get; set; }
        public string description { get; set; }
        public string deviceStatus { get; set; }
        public long? createdDate { get; set; }
        public string swv { get; set; }
        public int? softwareId { get; set; }
        public int? createdBy { get; set; }
        public Supplier7 supplier { get; set; }
        public long? modifiedDate { get; set; }
        public int? modifiedBy { get; set; }
        public int? protocolVersion { get; set; }
        public int? id { get; set; }
        public string hash { get; set; }
        public string pubKey { get; set; }
    }

    public class Supplier7
    {
        public string groupType { get; set; }
        public object address { get; set; }
        public string code { get; set; }
        public int? standardId { get; set; }
        public string description { get; set; }
        public int? photoId { get; set; }
        public string registerNo { get; set; }
        public long? createdDate { get; set; }
        public string[] deviceTypes { get; set; }
        public int? createdBy { get; set; }
        public object phone { get; set; }
        public object contact { get; set; }
        public string name { get; set; }
        public long? modifiedDate { get; set; }
        public string alias { get; set; }
        public int? modifiedBy { get; set; }
        public int? id { get; set; }
    }

    public class Displaycontrol
    {
        public bool dirty { get; set; }
        public int? deviceAlarmLevel { get; set; }
        public string onlineStatus { get; set; }
        public object[] alarms { get; set; }
        public string nozzleControlName { get; set; }
        public int? photoId { get; set; }
        public long? fixTime { get; set; }
        public object productTime { get; set; }
        public string uuid { get; set; }
        public object soldTime { get; set; }
        public string deviceStatus { get; set; }
        public object[] alarmDetail { get; set; }
        public long? createdDate { get; set; }
        public int? createdBy { get; set; }
        public Supplier8 supplier { get; set; }
        public long? modifiedDate { get; set; }
        public int? modifiedBy { get; set; }
        public int? alarmLevel { get; set; }
        public long? startTime { get; set; }
        public string sn { get; set; }
        public int? id { get; set; }
        public int? dispenserSupplierId { get; set; }
    }

    public class Supplier8
    {
        public string groupType { get; set; }
        public object address { get; set; }
        public string code { get; set; }
        public int? standardId { get; set; }
        public string description { get; set; }
        public int? photoId { get; set; }
        public string registerNo { get; set; }
        public long? createdDate { get; set; }
        public string[] deviceTypes { get; set; }
        public int? createdBy { get; set; }
        public object phone { get; set; }
        public object contact { get; set; }
        public string name { get; set; }
        public long? modifiedDate { get; set; }
        public string alias { get; set; }
        public int? modifiedBy { get; set; }
        public int? id { get; set; }
    }

}
