﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IMES_Middleware_Platform.Api.Services.Association
{
   
    /// <summary>
    /// 报表统计
    /// </summary>
    public class LocalApiDto
    {
        /// <summary>
        /// 油站数量
        /// </summary>
        public int AllStationCount { get; set; }

        /// <summary>
        /// 油机数量
        /// </summary>
        public int AllDispenserCount { get; set; }

        /// <summary>
        /// 油枪数量
        /// </summary>
        public int AllNozzleCount { get; set; }
        public Areacount[] AreaCounts { get; set; }
    }

    public class Areacount
    {
        /// <summary>
        /// 省份
        /// </summary>
        public string Area { get; set; }

        /// <summary>
        /// 油站
        /// </summary>
        public int StationCount { get; set; }

        /// <summary>
        /// 油机数量
        /// </summary>
        public int DispenserCount { get; set; }

        /// <summary>
        /// 油枪数量
        /// </summary>
        public int NozzleCount { get; set; }
    }

}
